package cn.superdesk.uniorder.dao.mapper.invoice.customer.invoiced;

import cn.superdesk.uniorder.dao.entity.invoice.customer.invoiced.InvoiceInvoicedOperationLog;
import cn.superdesk.uniorder.dao.entity.invoice.customer.invoiced.InvoiceInvoicedOperationLogExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface InvoiceInvoicedOperationLogMapper {
    long countByExample(InvoiceInvoicedOperationLogExample example);

    int deleteByExample(InvoiceInvoicedOperationLogExample example);

    int deleteByPrimaryKey(Long id);

    int insert(InvoiceInvoicedOperationLog record);

    int insertSelective(InvoiceInvoicedOperationLog record);

    List<InvoiceInvoicedOperationLog> selectByExampleWithBLOBs(InvoiceInvoicedOperationLogExample example);

    List<InvoiceInvoicedOperationLog> selectByExample(InvoiceInvoicedOperationLogExample example);

    InvoiceInvoicedOperationLog selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") InvoiceInvoicedOperationLog record, @Param("example") InvoiceInvoicedOperationLogExample example);

    int updateByExampleWithBLOBs(@Param("record") InvoiceInvoicedOperationLog record, @Param("example") InvoiceInvoicedOperationLogExample example);

    int updateByExample(@Param("record") InvoiceInvoicedOperationLog record, @Param("example") InvoiceInvoicedOperationLogExample example);

    int updateByPrimaryKeySelective(InvoiceInvoicedOperationLog record);

    int updateByPrimaryKeyWithBLOBs(InvoiceInvoicedOperationLog record);

    int updateByPrimaryKey(InvoiceInvoicedOperationLog record);
}
